Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 661296 - dev-perl/Email-Date-1.104.0-r1 fails tests without dev-perl/Capture-Tiny (Can't locate Capture/Tiny.pm in @INC)
Summary: dev-perl/Email-Date-1.104.0-r1 fails tests without dev-perl/Capture-Tiny (Can...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on: 717060
Blocks: perl-testfailure
  Show dependency tree
 
Reported: 2018-07-16 04:37 UTC by Kent Fredric (IRC: kent\n)
Modified: 2020-08-13 05:37 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kent Fredric (IRC: kent\n) gentoo-dev 2018-07-16 04:37:19 UTC
May be more complicated than just adding the dep ( might be superfluous, might be needed only for tests/runtime etc )

>>> Test phase: dev-perl/Email-Date-1.104.0-r1
make -j3 test TEST_VERBOSE=0
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/00-compile.t ................ Can't locate Capture/Tiny.pm in @INC (you may need to install the Capture::Tiny module) (@INC contains: /var/tmp/portage/dev-perl/Email-Date-1.104.0-r1/work/Email-Date-1.104/blib/lib /var/tmp/portage/dev-perl/Email-Date-1.104.0-r1/work/Email-Date-1.104/blib/arch /etc/perl /usr/local/lib64/perl5/5.28.0/x86_64-linux-thread-multi /usr/local/lib64/perl5/5.28.0 /usr/lib64/perl5/vendor_perl/5.28.0/x86_64-linux-thread-multi /usr/lib64/perl5/vendor_perl/5.28.0 /usr/local/lib64/perl5 /usr/lib64/perl5/vendor_perl/5.27.8 /usr/lib64/perl5/vendor_perl/5.27.7 /usr/lib64/perl5/vendor_perl/5.27.6 /usr/lib64/perl5/vendor_perl/5.22.3 /usr/lib64/perl5/vendor_perl /usr/lib64/perl5/5.28.0/x86_64-linux-thread-multi /usr/lib64/perl5/5.28.0) at t/00-compile.t line 10.
BEGIN failed--compilation aborted at t/00-compile.t line 10.
^M                                  ^Mt/00-compile.t ................ Dubious, test returned 2 (wstat 512, 0x200)


Install deps:

Calculating dependencies  .... done!
[ebuild  N     ] dev-perl/Email-Date-1.104.0-r1  0 KiB
[ebuild  N     ]  dev-perl/TimeDate-2.300.0  0 KiB    
[ebuild  N     ]  dev-perl/Email-Date-Format-1.5.0  USE="{-test}" 0 KiB
[ebuild  N     ]  dev-perl/Email-Abstract-3.8.0  USE="{-test}" 0 KiB 
[ebuild  N     ]   dev-perl/Email-Simple-2.214.0  USE="{-test}" 0 KiB
[ebuild  N     ]   dev-perl/MRO-Compat-0.130.0  USE="{-test}" 0 KiB
[ebuild  N     ]   dev-perl/Module-Pluggable-5.200.0  USE="{-test}" 0 KiB
[ebuild  N    #]    virtual/perl-if-0.60.800  0 KiB
[ebuild  N    #]  virtual/perl-Time-Piece-1.320.400  0 KiB

No additional test deps.
Comment 1 Larry the Git Cow gentoo-dev 2019-07-10 14:59:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=793ceb6a4b32cc2f249ef78faaa974689d5ce28e

commit 793ceb6a4b32cc2f249ef78faaa974689d5ce28e
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2019-07-10 14:59:35 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2019-07-10 14:59:35 +0000

    dev-perl/Email-Date: Fix deps for bug #661296
    
    - Convert to EAPI6
    - Enable parallel tests
    - Square up dependencies
    - Add missing Capture::Tiny test dependency
    
    Bug: https://bugs.gentoo.org/661296
    Package-Manager: Portage-2.3.66, Repoman-2.3.16
    Signed-off-by: Kent Fredric <kentnl@gentoo.org>

 dev-perl/Email-Date/Email-Date-1.104.0-r2.ebuild | 29 ++++++++++++++++++++++++
 1 file changed, 29 insertions(+)
Comment 2 Larry the Git Cow gentoo-dev 2020-08-13 05:37:34 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a945e50cd235f467bbeaed3bbe2f7a5bc5858639

commit a945e50cd235f467bbeaed3bbe2f7a5bc5858639
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2020-08-13 05:36:21 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2020-08-13 05:37:13 +0000

    dev-perl/Email-Date: Cleanup old 1.104.0-r1
    
    Closes: https://bugs.gentoo.org/661296
    Package-Manager: Portage-2.3.103, Repoman-2.3.22
    Signed-off-by: Kent Fredric <kentnl@gentoo.org>

 dev-perl/Email-Date/Email-Date-1.104.0-r1.ebuild | 23 -----------------------
 1 file changed, 23 deletions(-)